{ pkgs, ... }: {
  imports = [
    ./system.nix
    ./postgresql.nix
    ./elasticsearch.nix
    ./vault.nix
    ./guidelines.nix
    ./certbot.nix
  ];

  environment.systemPackages = [
    pkgs.certbot-full
    pkgs.jq
    pkgs.screen
    pkgs.vault
    pkgs.vim
  ]; 
}
